#!/bin/bash

set -e

DIR="$(cd "$(dirname "$0")" && pwd)"
source "$DIR"/common.sh

SERVICE="mogha"
if [ $# -gt 0 ]
then
  SERVICE=$1
fi

SVC_FILE="/usr/lib/systemd/system/${SERVICE}.service"
if [ ! -f "$SVC_FILE" ]
then
  log "未发现 ${SERVICE}.service 服务文件"
  exit 1
else
  log "尝试停止服务 ${SERVICE} (systemctl stop ${SERVICE})"
  systemctl stop "$SERVICE"
  log "删除注册文件"
  rm -f "$SVC_FILE"
  systemctl daemon-reload
  log "卸载成功"
fi